Mono.Simd 2.0.0.0 System.ValueType System.CLSCompliant(false) A vector with sixteen signed bytes. This represents a vector that contains 16 signed byte values.
- Constructor
  2.0.0.0
  v0 component.
  v1 component.
  v2 component.
  v3 component.
  v4 component.
  v5 component.
  v6 component.
  v7 component.
  v8 component.
  v9 component.
  v10 component.
  v11 component.
  v12 component.
  v13 component.
  v14 component.
  v15 component.
  Creates a vector with sixteen byte values.
- Property
  2.0.0.0
  System.SByte `` The index of the component. Gets/Sets the component's value.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` Adds two vectors with saturation. The saturated addition of two vectors.

  The resulting vector contains the saturated sum of the individual components of the vector.

  If the sum of two of the components would overflow, then the result of the saturated sum is either SByte.MinValue (underflow) or SByte.MaxValue (overflow).

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Compares the elements of two vectors for equality. A new vector with the comparison results. Equal components are set to -1, unequal components get the zero value.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  System.Int32 `` Vector. Extracts a byte mask from the vector. An integer with the low 16 bits representing the mask. This returns a 16-bit value where each bit is formed from the most significant bit of each byte.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16sb `` Vector to operate on. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16sb `` Vector to operate on. To be added. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Returns a vector with the components set to the largest components of each vector. Each individual component of the resulting vector is the largest component of each vector. This is equivalent to using System.Math.Max on each element and returning the resulting vector.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE41)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Returns a vector with the components set to the largest components of each vector. Each individual component of the resulting vector is the largest component of each vector. This is equivalent to using System.Math.Max on each element and returning the resulting vector.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Computes the sum of two vectors. A new vector. The vector returned is the sum of the individual components in the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Computes the bitwise and of two vectors. A new vector. The vector returned contains the result of doing a bitwise and operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Computes the bitwise or of two vectors. A new vector. The vector returned contains the result of doing a bitwise or operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Computes the bitwise xor of two vectors. A new vector. The vector returned contains the result of doing a bitwise xor operation on the individual components of the two vectors.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector16b `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2d `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2l `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector2ul `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4f `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4i `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector4ui `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8s `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  Mono.Simd.Vector8us `` Vector to operate on. Convertion operator. The casted vector. This operator provides explicit casting support.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Substracts the values from the second vector from the first. A new vector. The vector elements contain the substraction of the elements in the second vector from the elements in the first vector.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE1)
  System.Void `` `` Resulting vector. Vector to operate on. To be added. To be added.
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Substracts two vectors with saturation. The saturated substraction of two vectors.

  The resulting vector contains the saturated substraction of the individual components of the vector.

  If the result of substracting a value underflows, the value is set to SByte.MinValue, if the value overflows then the value is set to SByte.MaxValue.

- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Unpacks the high components of the input vectors into a new vector. A new vector that contains (va.V4, vb.V4, va.V5, vb.V5, va.V6, vb.V6, va.V7, vb.V7).
- Method
  2.0.0.0
  Mono.Simd.Acceleration(Mono.Simd.AccelMode.SSE2)
  Mono.Simd.Vector16sb `` `` First vector. Second vector. Unpacks the low components of the input vectors into a new vector. A new vector that contains (va.V0, vb.V0, va.V1, vb.V1, va.V2, vb.V2, va.V3, vb.V3).
- Property
  2.0.0.0
  System.SByte The V0 component.
- Property
  2.0.0.0
  System.SByte The V1 component.
- Property
  2.0.0.0
  System.SByte The V2 component.
- Property
  2.0.0.0
  System.SByte The V3 component.
- Property
  2.0.0.0
  System.SByte The V4 component.
- Property
  2.0.0.0
  System.SByte The V5 component.
- Property
  2.0.0.0
  System.SByte The V6 component.
- Property
  2.0.0.0
  System.SByte The V7 component.
- Property
  2.0.0.0
  System.SByte The V8 component.
- Property
  2.0.0.0
  System.SByte The V9 component.
- Property
  2.0.0.0
  System.SByte The V10 component.
- Property
  2.0.0.0
  System.SByte The V11 component.
- Property
  2.0.0.0
  System.SByte The V12 component.
- Property
  2.0.0.0
  System.SByte The V13 component.
- Property
  2.0.0.0
  System.SByte The V14 component.
- Property
  2.0.0.0
  System.SByte The V15 component.